//---------------------------------------------------------------------------

#ifndef UpdateFormUnitH
#define UpdateFormUnitH
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.StdCtrls.hpp>
#include <Vcl.Forms.hpp>
#include <Vcl.ExtCtrls.hpp>
#include <Vcl.Graphics.hpp>
#include <Vcl.Imaging.jpeg.hpp>
#include "PNGButton.hpp"
#include <Vcl.Imaging.pngimage.hpp>
//#include "UpdateListBoxUnit.h"
#include "GeneralDialogPanel.h"
#include "SkinScrollBarUnit.h"
#include <vector>
//---------------------------------------------------------------------------
class TUpdateContenPanel;

class TUpdateForm : public TForm
{
__published:	// IDE-managed Components
	TLabel *m_lbDownloadMsg;
	TLabel *m_lbDownload;
	TLabel *m_lbCurrentVer;
	TLabel *m_lbNewVer;
	TPaintBox *PaintBox1;
	TPaintBox *PaintBox2;
	TGeneralDialogPanel *m_panBk;
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall m_lbDownloadMouseEnter(TObject *Sender);
	void __fastcall m_lbDownloadMouseLeave(TObject *Sender);
	void __fastcall m_lbDownloadClick(TObject *Sender);
	void __fastcall FormKeyDown(TObject *Sender, WORD &Key, TShiftState Shift);
	void __fastcall PaintBoxPaint(TObject *Sender);
private:	// User declarations
	TUpdateContenPanel *m_plUpdateMsg;


		//ÏûÏ¢´¦Àí
	void __fastcall WMNCHitTest(TWMNCHitTest &Msg);
	BEGIN_MESSAGE_MAP
		MESSAGE_HANDLER(WM_NCHITTEST, TWMNCHitTest, WMNCHitTest)
	END_MESSAGE_MAP(TForm)
public:		// User declarations
	__fastcall TUpdateForm(TComponent* Owner);

	void ShowMSG();
};
//--------------------------------------------------

class TUpdateContenPanel : public Vcl::Extctrls::TPanel
{
private:
	int ShowLine;
	int TopLine;

	TSkinScrollBar *m_ScrollBar;

	virtual void __fastcall CreateWnd();
	virtual void __fastcall Paint(void);

	MESSAGE void __fastcall WMEraseBkgnd(TWMEraseBkgnd &Message);
	MESSAGE void __fastcall WMVScroll(Winapi::Messages::TWMScroll &Message);
	MESSAGE void __fastcall WMMouseWheel(TWMMouseWheel &Message);

	BEGIN_MESSAGE_MAP
		MESSAGE_HANDLER(WM_ERASEBKGND, TWMEraseBkgnd, WMEraseBkgnd)
		MESSAGE_HANDLER(WM_VSCROLL, TWMVScroll, WMVScroll)
		MESSAGE_HANDLER(WM_MOUSEWHEEL, TWMMouseWheel, WMMouseWheel)
	END_MESSAGE_MAP( Vcl::Extctrls::TPanel )

public:

	__fastcall TUpdateContenPanel( TComponent* Owner );
	__fastcall ~TUpdateContenPanel();
};
//---------------------------------------------------------------------------
extern PACKAGE TUpdateForm *UpdateForm;
//---------------------------------------------------------------------------
#endif
